using System;

namespace Madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prvired = Console.ReadLine().Split();
            int n = Convert.ToInt32(prvired[0]);
            int k = Convert.ToInt32(prvired[1]);
            string[] drugired = Console.ReadLine().Split();
            int[] brojevi = new int[n];
            int trazena=0;
            for (int i = 0; i < n; i++) 
            {
                brojevi[i] = Convert.ToInt32(drugired[i]);
                if (brojevi[i] == k) trazena = i - 1;
            }
            Console.WriteLine(brojevi[trazena]);
        }
    }
}